Package io.dapr.v1

# Class CommonProtos.StateOptions

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.CommonProtos.StateOptions

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.StateOptionsOrBuilder`, `Serializable`

Enclosing class:
  CommonProtos

public static final class CommonProtos.StateOptions extends com.google.protobuf.GeneratedMessageV3 implements CommonProtos.StateOptionsOrBuilder

     StateOptions configures concurrency and consistency for state operations

Protobuf type `dapr.proto.common.v1.StateOptions`

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `CommonProtos.StateOptions.Builder`
  StateOptions configures concurrency and consistency for state operations
  `static enum`
  `CommonProtos.StateOptions.StateConcurrency`
  Enum describing the supported concurrency for state.
  `static enum`
  `CommonProtos.StateOptions.StateConsistency`
  Enum describing the supported consistency for state.

  ## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

  `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

  ## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

  `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONCURRENCY_FIELD_NUMBER`
  `static final int`
  `CONSISTENCY_FIELD_NUMBER`

  ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

  `alwaysUseFieldBuilders, unknownFields`

  ### Fields inherited from class com.google.protobuf.AbstractMessage

  `memoizedSize`

  ### Fields inherited from class com.google.protobuf.AbstractMessageLite

  `memoizedHashCode`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `CommonProtos.StateOptions.StateConcurrency`
  `getConcurrency()`
  `.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
  `int`
  `getConcurrencyValue()`
  `.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
  `CommonProtos.StateOptions.StateConsistency`
  `getConsistency()`
  `.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
  `int`
  `getConsistencyValue()`
  `.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
  `static CommonProtos.StateOptions`
  `getDefaultInstance()`
  `CommonProtos.StateOptions`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Parser<CommonProtos.StateOptions>`
  `getParserForType()`
  `int`
  `getSerializedSize()`
  `int`
  `hashCode()`
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `static CommonProtos.StateOptions.Builder`
  `newBuilder()`
  `static CommonProtos.StateOptions.Builder`
  `newBuilder(CommonProtos.StateOptions prototype)`
  `CommonProtos.StateOptions.Builder`
  `newBuilderForType()`
  `protected CommonProtos.StateOptions.Builder`
  `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
  `protected Object`
  `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
  `static CommonProtos.StateOptions`
  `parseDelimitedFrom(InputStream input)`
  `static CommonProtos.StateOptions`
  `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static CommonProtos.StateOptions`
  `parseFrom(byte[] data)`
  `static CommonProtos.StateOptions`
  `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static CommonProtos.StateOptions`
  `parseFrom(com.google.protobuf.ByteString data)`
  `static CommonProtos.StateOptions`
  `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static CommonProtos.StateOptions`
  `parseFrom(com.google.protobuf.CodedInputStream input)`
  `static CommonProtos.StateOptions`
  `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static CommonProtos.StateOptions`
  `parseFrom(InputStream input)`
  `static CommonProtos.StateOptions`
  `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static CommonProtos.StateOptions`
  `parseFrom(ByteBuffer data)`
  `static CommonProtos.StateOptions`
  `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static com.google.protobuf.Parser<CommonProtos.StateOptions>`
  `parser()`
  `CommonProtos.StateOptions.Builder`
  `toBuilder()`
  `void`
  `writeTo(com.google.protobuf.CodedOutputStream output)`

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

  `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

  ### Methods inherited from class com.google.protobuf.AbstractMessage

  `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite

  `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite

  `toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Field Details

  - ### CONCURRENCY_FIELD_NUMBER

    public static final int CONCURRENCY_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### CONSISTENCY_FIELD_NUMBER

    public static final int CONSISTENCY_FIELD_NUMBER
    See Also:
      - Constant Field Values

- ## Method Details

  - ### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)
    Overrides:
      `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getConcurrencyValue

    public int getConcurrencyValue()
    `.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
    Specified by:
      `getConcurrencyValue` in interface `CommonProtos.StateOptionsOrBuilder`
    Returns:
      The enum numeric value on the wire for concurrency.

  - ### getConcurrency

    public CommonProtos.StateOptions.StateConcurrency getConcurrency()
    `.dapr.proto.common.v1.StateOptions.StateConcurrency concurrency = 1;`
    Specified by:
      `getConcurrency` in interface `CommonProtos.StateOptionsOrBuilder`
    Returns:
      The concurrency.

  - ### getConsistencyValue

    public int getConsistencyValue()
    `.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
    Specified by:
      `getConsistencyValue` in interface `CommonProtos.StateOptionsOrBuilder`
    Returns:
      The enum numeric value on the wire for consistency.

  - ### getConsistency

    public CommonProtos.StateOptions.StateConsistency getConsistency()
    `.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
    Specified by:
      `getConsistency` in interface `CommonProtos.StateOptionsOrBuilder`
    Returns:
      The consistency.

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

  - ### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException
    Specified by:
      `writeTo` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
    Throws:
      `IOException`

  - ### getSerializedSize

    public int getSerializedSize()
    Specified by:
      `getSerializedSize` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in interface `com.google.protobuf.Message`
    Overrides:
      `equals` in class `com.google.protobuf.AbstractMessage`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `com.google.protobuf.Message`
    Overrides:
      `hashCode` in class `com.google.protobuf.AbstractMessage`

  - ### parseFrom

    public static CommonProtos.StateOptions parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StateOptions parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StateOptions parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StateOptions parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StateOptions parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StateOptions parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StateOptions parseFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static CommonProtos.StateOptions parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static CommonProtos.StateOptions parseDelimitedFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static CommonProtos.StateOptions parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static CommonProtos.StateOptions parseFrom(com.google.protobuf.CodedInputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static CommonProtos.StateOptions parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### newBuilderForType

    public CommonProtos.StateOptions.Builder newBuilderForType()
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.Message`
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.MessageLite`

  - ### newBuilder

    public static CommonProtos.StateOptions.Builder newBuilder()

  - ### newBuilder

    public static CommonProtos.StateOptions.Builder newBuilder(CommonProtos.StateOptions prototype)

  - ### toBuilder

    public CommonProtos.StateOptions.Builder toBuilder()
    Specified by:
      `toBuilder` in interface `com.google.protobuf.Message`
    Specified by:
      `toBuilder` in interface `com.google.protobuf.MessageLite`

  - ### newBuilderForType

    protected CommonProtos.StateOptions.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)
    Specified by:
      `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstance

    public static CommonProtos.StateOptions getDefaultInstance()

  - ### parser

    public static com.google.protobuf.Parser<CommonProtos.StateOptions> parser()

  - ### getParserForType

    public com.google.protobuf.Parser<CommonProtos.StateOptions> getParserForType()
    Specified by:
      `getParserForType` in interface `com.google.protobuf.Message`
    Specified by:
      `getParserForType` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstanceForType

    public CommonProtos.StateOptions getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`